Bug 175038 - Some keyboard shortcuts cause the keys to stop working
Some keyboard shortcuts cause the keys to stop working
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-05 16:43 EST by Suzanne Hillman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-23 16:45:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2005-12-05 16:43:36 EST
Description of problem:
If I use 'Desktop -> Preferences -> Keyboard Shortcuts' to modify the shortcuts
for the Sound -> Play (or play/pause) or Stop playback key or Skip to next
track, such that it'd be CTRL-ALT-p, CTRL-ALT-s, and CTRL-alt-n respectively,
those keys stop working while in Gnome. They work while logging into gnome, but
as soon as I'm logged in, if those shortcuts are specified, those keys stop
working. If the shortcuts are removed, I had to log out and back in again to get
them to work again.

Version-Release number of selected component (if applicable):
control-center-2.10.1-6

How reproducible:
Always (on two different machines of mine at home, consistent behavior; will
verify that I can repeat it on my work desktop tomorrow)

Steps to Reproduce:
1. Open Desktop -> Preferences -> Keyboard Shortcuts
2. Set Sound->Play (or play/pause) to CTRL-ALT-P
3. Close it, and try to use the 'p' key. (Same general steps for the other two,
as well)
  
Actual results:
'p' key stops responding while in Gnome. (and, if the other key shortcuts are
set up, 's' and 'n' as well)

Expected results:
'p' key should keep responding. (and, if the other key shortcuts are set up, 's'
and 'n' as well)

Additional info:
Both machines are fully updated Fedora Core 4 machines, one a laptop, one a desktop.
Comment 1 Suzanne Hillman 2005-12-07 17:30:23 EST
Happens on work desktop, too.
Comment 2 Christian Iseli 2007-01-22 05:58:26 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Suzanne Hillman 2007-05-23 16:45:11 EDT
This looks fixed on today's rawhide. Closing.

Note You need to log in before you can comment on or make changes to this bug.